package com.ai.da.service;

import com.ai.da.common.response.PageBaseResponse;
import com.ai.da.mapper.primary.entity.TaskList;
import com.ai.da.model.dto.QueryTaskHistoryDTO;
import com.ai.da.model.dto.SuperResolutionDTO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface SuperResolutionService extends IService<TaskList> {

    List<String> prepareForSR(List<SuperResolutionDTO> superResolutionDTO);

    void SR(SuperResolutionDTO superResolutionDTO) throws Exception;

    void setSRResult(String taskId, String output, String status);

    void updateSROutput(String taskId, String status, String output);

    PageBaseResponse<TaskList> getTaskHistoryPage(QueryTaskHistoryDTO queryTaskHistoryDTO);
}
